Package com.smartgwt.client.bean

# Class BeanProperty<BeanClass>

java.lang.Object
com.smartgwt.client.bean.BeanProperty<BeanClass>

Direct Known Subclasses:
  `BeanProperty1Getter`, `BeanProperty1Getter1Setter`, `BeanProperty1Setter`, `BeanPropertyMultiple`

public abstract class BeanProperty<BeanClass> extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BeanProperty.NoSetterException`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanProperty(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract BeanMethod<BeanClass,?>`
  `defaultGetter()`
  `String`
  `getName()`
  `Object`
  `getProperty(BeanClass bean)`
  `String`
  `getPropertyAsString(BeanClass bean)`
  `protected abstract BeanMethod<BeanClass,?>`
  `getterForString()`
  `void`
  `setProperty(BeanClass bean, Object value)`
  `protected abstract BeanMethod<BeanClass,?>`
  `setterForValue(Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

- ## Constructor Details

  - ### BeanProperty

    public BeanProperty(String name)

- ## Method Details

  - ### getName

    public String getName()

  - ### defaultGetter

    protected abstract BeanMethod<BeanClass,?> defaultGetter()

  - ### getterForString

    protected abstract BeanMethod<BeanClass,?> getterForString()

  - ### setterForValue

    protected abstract BeanMethod<BeanClass,?> setterForValue(Object value)

  - ### getProperty

    public Object getProperty(BeanClass bean)

  - ### getPropertyAsString

    public String getPropertyAsString(BeanClass bean)

  - ### setProperty

    public void setProperty(BeanClass bean, Object value) throws BeanProperty.NoSetterException
    Throws:
      `BeanProperty.NoSetterException`